Installer simply won’t recognize the pre-requisites

Having trouble running Advanced Installer? Got a bug to report? Post it all here.

Installer simply won’t recognize the pre-requisites

Postby udayk » Fri Jun 08, 2012 1:29 pm

Hi All,

I build an installer with couple of pre-requisites(JDK-6 & Tomcat-7), when i am going to install i received an error in Windows-2008-R2-Server-64-bit & Windows-7-64-bit and Windows-2008-Standard-Server-64-bit. The new JDK and Tomcat 7 pre-requisite install correctly, but we cannot get Sample.exe to install. Each time i run the installation, AI-8.8.1 fail to check prerequisites installation verification. This happens immediately after i install Tomcat 7 pre-requisite through(using the Sample.exe installer). Here is the error message that we receive:Image

please find the image003 for above context..

No matter how i install Tomcat 7, the “Sample.exe” installer does not detect that Tomcat is installed or not. For example, if we run the “Sample.exe” installer again (after Tomcat 7 has been successfully installed), we receive the following message:

Image

please find the image005 for above context..

How should i recognize Tomcat 7, using AI-8.8.1.

JDK is working installed well and recognized well. But Unable to recognize Tomcat 7..

How should i resolve this...??

Thank you,
Udayk.
Attachments
image005.png
image005.png (21.55 KiB) Viewed 1617 times
image003.png
image003.png (84.96 KiB) Viewed 1617 times
udayk
 
Posts: 126
Joined: Thu Jan 19, 2012 12:30 pm

Re: Installer simply won’t recognize the pre-requisites

Postby udayk » Sat Jun 09, 2012 11:41 am

Hi Team,

The above issue was occur in 3-operating systems, those are
1.Windows-2008-R2-Server-64-bit
2.Windows-7-64-bit and
3.Windows-2008-Standard-Server-64-bit.

My Search Criteria is working perfect in all Operating systems, except above 3 OS's.

Can any one please give me any other suggestions on this issue.

Thank you,
Udayk.
udayk
 
Posts: 126
Joined: Thu Jan 19, 2012 12:30 pm

Re: Installer simply won’t recognize the pre-requisites

Postby Daniel » Tue Jun 12, 2012 11:49 am

Hello Udayk,

I've noticed you get the related issue only when you are using 64-bit operating systems. Please keep in mind that, by default, prerequisite searches use 32-bit locations when evaluating install conditions on 64-bit machines. So, if your prerequisite searches need to access 64-bit locations when install on 64-bit machines, then from "Prerequisites" page select your prerequisite package and check the "64-bit" setup file option from "Properties" tab.

Let us know if this helps, otherwise please give us more details about your scenario.

All the best,
Daniel
Daniel Radu - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube
Daniel
 
Posts: 3769
Joined: Mon Apr 02, 2012 1:11 pm

Re: Installer simply won’t recognize the pre-requisites

Postby gknierim » Wed Jun 20, 2012 10:00 pm

Hi Daniel,

I have the same problem with 64 bit installations and installing prerequisites for them.

I do not see a 64 bit checkbox on the Properties tab - I am using AI 9.2 build 44805. There is a 'Use 64-bit locations when evaluating conditions on a 64 bit machine' option on the Install Conditions tab. Is this the one you are referring to? If so, I have checked that box for all of my 64 bit prereqs and I still get the error message in the attached screenshot. If I manually install the prereq, it installs fine so it is something with the installer trying to do it. UAC maybe?

Ideas on how to fix this?

Thanks,
Greg
Attachments
64_bit_error_on_install.png
64_bit_error_on_install.png (4.7 KiB) Viewed 1550 times
gknierim
 
Posts: 42
Joined: Wed Jan 18, 2012 3:57 pm

Re: Installer simply won’t recognize the pre-requisites

Postby Daniel » Thu Jun 21, 2012 8:32 am

Hello Greg,

There is a 'Use 64-bit locations when evaluating conditions on a 64 bit machine' option on the Install Conditions tab. Is this the one you are referring to?

Yes, this is the corresponding option in version 9.2 of Advanced Installer. As I mentioned in my previous post when this option is enabled the prerequisites searches will use 64-bit locations to evaluate conditions on 64-bit operating systems.

Regarding to your issue, please keep in mind that searches from "Prerequisites Install Condition" tab are performed twice:
- first to determine whether the prerequisite should be installed ( if the conditions are false)
- and second time, after the prerequisite has been installed, to determine whether the prerequisite installation was successful ( when the conditions should be evaluated as true )

The reason you are getting this issue is because when your conditions were evaluated second time, they failed. So, in order to avoid the related issue you should reevaluate your conditions for the prerequisite whose install was reported to have failed. Please take a look on our "Why do I receive the 4154 warning?" article.

If you have any question let me know.

All the best,
Daniel
Daniel Radu - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube
Daniel
 
Posts: 3769
Joined: Mon Apr 02, 2012 1:11 pm

Re: Installer simply won’t recognize the pre-requisites

Postby gknierim » Thu Jun 21, 2012 5:45 pm

So how are you saying I should fix this? I don't understand.

Currently on the Install Conditions tab under the Install Conditions, I have the 'Install Prerequisite based on conditions' selected and I have 1 condition: Criteria is Product Version (Identified by Upgrade code). I also have the 'Install only if all conditions are false'.

I am guessing you are telling me I should make a change here but I don't understand what? Can you help?

Thanks,
Greg
gknierim
 
Posts: 42
Joined: Wed Jan 18, 2012 3:57 pm

Re: Installer simply won’t recognize the pre-requisites

Postby Daniel » Fri Jun 22, 2012 8:47 am

Hello Greg,

I was trying to say that you should check your prerequisite install condition. As I mentioned in my previous post this condition should be evaluated to false before the prerequisite installation starts. Then, after prerequisite installation the related condition should be evaluated to true (install was successful). So, if after prerequisite installation the condition is still evaluated to false, then you will get the related warning.

Can you please verify if the Upgrade Code from your install condition is matching with your prerequisite package Upgrade Code? If it's different, then this is the reason for your issue. If is not the case, can you please send us the .aip (project file) and a verbose log of the installation to support at advancedinstaller dot com so we can investigate them?

All the best,
Daniel
Daniel Radu - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube
Daniel
 
Posts: 3769
Joined: Mon Apr 02, 2012 1:11 pm

Re: Installer simply won’t recognize the pre-requisites

Postby gknierim » Fri Jun 22, 2012 2:46 pm

Do you mean compare the Upgrade Code found on the Product Details -> Product IDs tab with the Prerequisites -> install Conditions -> Search String in the Criteria list? If you are, then they definitely are different.

However, I don't need to install the prerequisites when I upgrade but only if they try to install a feature that requires them.

I have already sent an email to support 3 days ago and have not heard anything back. I wish you would respond faster than a days time.

Thanks,
Greg
gknierim
 
Posts: 42
Joined: Wed Jan 18, 2012 3:57 pm

Re: Installer simply won’t recognize the pre-requisites

Postby Daniel » Mon Jun 25, 2012 10:45 am

Hello Greg,

After analyzing and testing your package prerequisite it seems the "SharedManagementObjects x64.msi" doesn't run with /q command line option. I've tested the related MSI package execution from command line. When launching with /q command line option the package installation fails. Also, you should contact the package manufacturer support team for more details.

As a solution you can run the related prerequisite package using /qb (basic UI) command line option.

I have already sent an email to support 3 days ago and have not heard anything back. I wish you would respond faster than a days time.

I'm sorry but the only e-mail received from you, about this topic, is on 6/21/2012 (thursday). Also, we usually respond to our users questions in one or two days (except weekends).

Please keep in mind that we treat our users questions with same priority. So, please do not duplicate the questions, on the forums and e-mail. Both of them have the same priority for us, so you can place the questions in only one place. You can be sure an answer will be given to you as soon as possible.

All the best,
Daniel
Daniel Radu - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube
Daniel
 
Posts: 3769
Joined: Mon Apr 02, 2012 1:11 pm

Re: Installer simply won’t recognize the pre-requisites

Postby gknierim » Mon Jun 25, 2012 7:59 pm

So the problem appeared to be was that the command line switch /q was causing it to fail even though it is supposed to be a valid switch for msi files. The other switch I had was /norestart which I think was also the real reason it was failing. Anyway, I changed the switch to /qn only on the Full UI and everything worked and installed as expected.

Thanks,
Greg
gknierim
 
Posts: 42
Joined: Wed Jan 18, 2012 3:57 pm


Return to Common Problems

Who is online

Users browsing this forum: Bing [Bot], Yahoo [Bot] and 6 guests